/* Font Face */

@font-face {
    font-family: "OpenSans-Bold";
    src: url("./fonts/OpenSans-Bold.ttf");
}

@font-face {
    font-family: "OpenSans-SemiBold";
    src: url("./fonts/OpenSans-SemiBold.ttf");
}

@font-face {
    font-family: "OpenSans-Regular";
    src: url("./fonts/OpenSans-Regular.ttf");
}


/* Style */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    margin: 0;
}

.main {
    position: relative;
}

.block {
    width: 100vw;
    height: 100vh;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    align-items: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    justify-content: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
}

.block__button {
    cursor: pointer;
    width: 235px;
    height: 70px;
    border: none;
    border-radius: 5px;
    font-size: 18px;
    color: #fff;
    background-color: #ff0000;
}

.modal {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    justify-content: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    z-index: 9999;
    background-color: #000;
}

.modal__container {
    position: relative;
    max-width: 910px;
    padding: 50px 50px 0 30px;
    border-radius: 27px;
    background-color: #fff;
}

.modal__header {
    padding-left: 20px;
}

.modal-header__button {
    width: 16px;
    height: 16px;
    border: none;
    background-color: transparent;
    top: 21px;
    right: 18px;
    position: absolute;
    cursor: pointer;
}

.modal-header__button::before {
    content: "";
    position: absolute;
    width: 16px;
    height: 2px;
    top: 0;
    right: 0;
    transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    background-color: #ff1414;
}

.modal-header__button::after {
    content: "";
    position: absolute;
    width: 16px;
    height: 2px;
    top: 0;
    right: 0;
    transform: rotate(-45deg);
    background-color: #ff1414;
}

.modal__body {
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
}

.modal-content__error {
    font-size: 14px;
    color: #ff0000;
    margin-bottom: 5px;
}

.modal-content__block-doc-img {
    padding-left: 22px;
    padding-bottom: 20px;
}

.modal-header__title {
    max-width: 450px;
    font-size: 35px;
    font-family: "OpenSans-Bold";
    font-weight: bold;
    color: #000;
}

.modal__header--responsive-950 {
    display: none;
}

.modal__content {
    padding-top: 55px;
}

.modal-content__doc-img {
    margin: 0 5.5px;
}

.modal-content__img {
    margin-bottom: -8px;
}

.modal-content__form {
    width: 350px;
    margin-left: 55px;
    padding-top: 50px;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    flex-direction: column;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
}

.modal-content__label {
    margin-bottom: 10px;
    font-family: "OpenSans-Regular";
    font-weight: 600;
    font-size: 15.2px;
    color: #000;
}

.modal-content__input {
    width: 100%;
    height: 51.78px;
    padding-left: 18px;
    font-family: "OpenSans-Regular";
    font-size: 19px;
    color: #202020;
    border: 1px solid #a0a0a0;
    border-radius: 5px;
}

.modal-content__input-phone {
    position: relative;
}

.modal-content__input::placeholder {
    font-family: "OpenSans-Regular";
    font-size: 19px;
    color: #a0a0a0;
}

.modal-content__input--first-margin {
    margin-bottom: 30px;
}

.modal-content__submit {
    position: relative;
    cursor: pointer;
    width: 100%;
    height: 70px;
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    align-items: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    margin-top: 15px;
    justify-content: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    font-family: "OpenSans-SemiBold";
    font-size: 24.64px;
    color: #fff;
    border: none;
    border-radius: 5px;
    background-color: #3cc36d;
    z-index: 2;
}

.modal-content__block-submit {
    position: relative;
}

.modal-content__submit--box-shadow {
    position: absolute;
    width: 100%;
    height: 70px;
    bottom: -6px;
    border-radius: 11px;
    background-color: #00ab5b;
    z-index: 1;
}

.modal-content-submit__arrow {
    max-width: 100%;
    height: auto;
    margin-left: 20px;
}

.modal-content__block-doc {
    display: flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    justify-content: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    padding-top: 17px;
}

.modal-content__doc-text {
    margin: 0 20px;
    font-family: "OpenSans-Regular";
    font-size: 11.67px;
    color: #808080;
}


/* Responsive */

@media screen and (max-width: 950px) {
    .modal-header__title {
        display: none;
    }
    .modal__container {
        max-width: 320px;
        border-radius: 15px;
        padding: 14px 8px 26px 18px;
    }
    .modal-header__button {
        width: 18px;
        height: 18px;
        top: 12px;
        right: 10px;
    }
    .modal-header__button::after,
    .modal-header__button::before {
        width: 18px;
        top: 7px;
    }
    .modal__body {
        display: flex;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        flex-direction: column;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
    }
    .modal__content {
        padding: 0;
    }
    .modal-content__block-img {
        display: flex;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        flex-direction: column;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
    }
    .modal-content__block-doc-img {
        margin-top: -24px;
        padding: 0 20px 0 10px;
        display: flex;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        justify-content: space-around;
        -webkit-justify-content: space-around;
        -ms-flex-pack: space-around;
        order: 2;
    }
    .modal-content__doc-img {
        width: 28px;
        height: auto;
        margin: 0;
    }
    .modal-content__img {
        max-width: 218px;
        margin: 0 auto;
        order: 1;
    }
    .modal__header--responsive-950 {
        padding: 28px 20px 28px 10px;
        display: block;
        text-align: center;
    }
    .modal-header__title--responsive-950 {
        font-size: 20.09px;
        font-family: "OpenSans-Bold";
        font-weight: bold;
        color: #000;
    }
    .modal-content__form {
        width: 100%;
        padding: 0;
        margin: 0;
    }
    .modal-content__label {
        margin-bottom: 7px;
        font-size: 12.9px;
    }
    .modal-content__input {
        width: 281.63px;
        height: 41.75px;
        font-size: 16px;
    }
    .modal-content__input::placeholder {
        font-size: 16px;
    }
    .modal-content__input--first-margin {
        margin-bottom: 23px;
    }
    .modal-content__submit {
        margin-top: 12px;
    }
    .modal-content__block-submit {
        width: 281.63px;
    }
    .modal-content__submit--box-shadow,
    .modal-content__submit {
        height: 57.13px;
        font-size: 19.88px;
    }
    .modal-content-submit__arrow {
        width: 28px;
        margin-left: 18px;
    }
    .modal-content__block-doc {
        display: none;
    }
}